## agedu 8928

=== debian/changelog ===
agedu (8928-1) unstable; urgency=low

  * Version bump to r8928
  * Switched to source format 3.0 (quilt)
  * Updated the Standards-Version to 3.8.4
  * Removed README.source
  * Cleanup of debian/rules

 -- Alexander Prinsier <aphexer@mailhaven.com>  Wed, 16 Jun 2010 12:33:13 +0200

agedu (8642-1) unstable; urgency=low

  * Updated to upstream revision 8642
  * Handle >4GB files (Closes: #537127)
  * Updated the Standards-Version to 3.8.3
  * Fixed the watch file

 -- Alexander Prinsier <aphexer@mailhaven.com>  Mon, 14 Sep 2009 16:03:20 +0200

agedu (8442-5) unstable; urgency=low

  * The manpage now uses a minus sign instead of a hyphen
    when referring to command line options.
  * Added an (empty) watch file
  * Updated the Standards-Version to 3.8.1
  * Replaced (C) by © in debian/copyright

 -- Alexander Prinsier <aphexer@mailhaven.com>  Fri, 29 May 2009 01:32:25 +0200

agedu (8442-4) unstable; urgency=low

  * Cleanup of debian/rules part 2

 -- Alexander Prinsier <aphexer@mailhaven.com>  Thu, 28 May 2009 12:44:51 +0200

agedu (8442-3) unstable; urgency=low

  * Cleanup of debian/rules

 -- Alexander Prinsier <aphexer@mailhaven.com>  Thu, 28 May 2009 12:22:18 +0200

agedu (8442-2) unstable; urgency=low

  * Use dh_prep instead of the deprecated dh_clean -k

 -- Alexander Prinsier <aphexer@mailhaven.com>  Wed, 27 May 2009 11:01:49 +0200

agedu (8442-1) unstable; urgency=low

  * Initial release (Closes: #530660)

 -- Alexander Prinsier <aphexer@mailhaven.com>  Tue, 26 May 2009 23:21:27 +0200
