=== debian/control ===
Source: agedu
Section: utils
Priority: optional
Maintainer: Alexander Prinsier <aphexer@mailhaven.com>
Build-Depends: debhelper (>= 7.0.8), autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/agedu/

Package: agedu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Unix utility for tracking down wasted disk space
 Unix provides the standard du utility, which scans your disk and tells you
 which directories contain the largest amounts of data. That can help you
 narrow your search to the things most worth deleting.
 .
 However, that only tells you what's big. What you really want to know is
 what's too big. By itself, du won't let you distinguish between data that's
 big because you're doing something that needs it to be big, and data that's
 big because you unpacked it once and forgot about it.
 .
 To make this difference, agedu relies on the atime of the files.
