## agedu 9723

=== debian/changelog ===
agedu (9723-1) unstable; urgency=low

  * Version bump to r9723 (Closes: #698183)
  * Updated to Standards-Version 3.9.4
  * Simplification of debian/rules

 -- Alexander Prinsier <aphexer@mailhaven.com>  Sat, 29 Jun 2013 15:20:30 +0200
