=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Prinsier <aphexer@mailhaven.com>
-Build-Depends: debhelper (>= 7.0.8), autotools-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/agedu/
 
 Package: agedu
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a Unix utility for tracking down wasted disk space
+Description: Unix utility for tracking down wasted disk space
  Unix provides the standard du utility, which scans your disk and tells you
  which directories contain the largest amounts of data. That can help you
  narrow your search to the things most worth deleting.
