=== debian/watch ===
version=3

http://www.chiark.greenend.org.uk/~sgtatham/agedu/agedu-r([\d]+).tar.gz
