## agedu 20211129.8cd63c5

=== debian/changelog ===
agedu (20211129.8cd63c5-1) unstable; urgency=low

  Debian packaging changes:
  * Versioning changed to follow upstream's new format
  * Version bump to 20211129.8cd63c5
  * Updated to Standards-Version 4.6.1
  * Updated watch file with new release naming convention
  * Machine readable copyright file
  * Enabled hardening=+all during build
  * Adapted debian/rules for cmake build system

  Upstream changes:
  * Various robustness enhancements
  * Pedantic changes to capitalisation of byte/kilobyte/megabyte etc (Closes:
    #611182)
  * Factor out dump-file handling (Closes: #715624)

 -- Alexander Prinsier <aphexer@mailhaven.com>  Thu, 07 Jul 2022 17:19:06 +0200
