=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Alexander Prinsier <aphexer@mailhaven.com>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.4
-Homepage: http://www.chiark.greenend.org.uk/~sgtatham/agedu/
+Build-Depends: debhelper-compat (= 13), halibut, cmake
+Standards-Version: 4.6.1
+Homepage: https://www.chiark.greenend.org.uk/~sgtatham/agedu/
+Rules-Requires-Root: no
 
 Package: agedu
 Architecture: any
