=== debian/watch ===
version=4

opts="pgpmode=none" https://www.chiark.greenend.org.uk/~sgtatham/agedu/agedu-([\d]+).([a-zA-Z0-9]+).tar.gz
